Update a response

View as Markdown
Updates a response in a collection. For a complete list of properties, see the [Postman Collection Format documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html). **Note:** - You must pass a collection ID (`12ece9e1-2abf-4edc-8e34-de66e74114d2`), not a collection UID (`12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2`), in this endpoint. - This endpoint acts like a PATCH method. It only updates the values that you pass in the request body (for example, the `name` property). The endpoint does not update the entire resource.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

responseIdstringRequired
The response's ID.
collectionIdstringRequired
The collection's ID.

Request

This endpoint expects an object.
namestringOptional
The response's name.
descriptionstring or nullOptional
The response's description.
urlstring or nullOptional
The associated request's URL.
methodenumOptional
The request's HTTP method.
headerslist of objectsOptional
A list of headers.
dataModeenumOptional
The associated request body's data mode.
rawModeDatastring or nullOptional
The associated request body's raw mode data.
dataOptionsobjectOptional
Additional configurations and options set for the request body's various data modes.
responseCodeobjectOptional
The response's HTTP response code information.
statusstring or nullOptional
The response's HTTP status text.
timestringOptional
The time taken by the request to complete, in milliseconds.
cookiesstring or nullOptional
The response's cookie data.
mimestring or nullOptional
The response's MIME type.
textstringOptional
The raw text of the response body.
languagestringOptional
The response body's language type.
rawDataTypestring or nullOptional
The response's raw data type.
requestObjectstringOptional

A JSON-stringified representation of the associated request.

Response

Successful Response
dataobject

Information about the updated response. For a complete list of response properties, refer to the Response entry in the Postman Collection Format documentation.

metamap from strings to any

A Postman-specific response that contains information about the internal performed operation.

model_idstring
The response's ID.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error